/*
* file CcTriggerType.java
*
* Licensed Materials - Property of IBM
* Restricted Materials of IBM
* 
* com.ibm.rational.wvcm.stp.cc.CcTriggerType
*
* (C) Copyright IBM Corporation 2004, 2010.  All Rights Reserved. 
* Note to U.S. Government Users Restricted Rights:  Use, duplication or  
* disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
*/

package com.ibm.rational.wvcm.stp.cc;

/**
 * <p>A proxy for a ClearCase trigger type.
 * </p>
 * <p>ClearCase triggers let you customize and extend the behavior
 * of ClearCase by associating pre-op and post-op actions with
 * particular operations on ClearCase objects.  These actions can
 * be either custom scripts provided by you, or built-in actions
 * supported directly by triggers.  For instance, you could create
 * a "checkin post-op" trigger that executes a Perl script that
 * sends email to your development team whenever a particular file
 * is checked in.
 * </p>
 * <p>For general trigger information, see the ClearCase "Guide to Managing Software Projects"
 * manual.  See the ClearCase "mktrtype" man page for help with creating triggers.
 * </p>
 */
public interface CcTriggerType extends CcTypeBase {
}
